View Issue Details

IDProjectCategoryView StatusLast Update
0003921SymmetricDSImprovementpublic2019-04-23 11:41
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.1Fixed in Version3.10.1 
Summary0003921: Parameter to disable recursive querying of each level in table with self-referencing foreign key
DescriptionAdd parameter to disable recursive querying of each level in table with self-referencing foreign key. If there are a hundred levels, some of the queries can take a long time. Give people the option to disable the multiple queries, disable foreign keys, and just load the data quickly.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 4797eefa

2019-04-18 14:26:37

admin

Details Diff
0003921: Parameter to disable recursive querying of each level in table
with self-referencing foreign key

0003921
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2019-04-17 08:06 elong New Issue
2019-04-17 08:06 elong Status new => assigned
2019-04-17 08:06 elong Assigned To => elong
2019-04-18 14:26 elong Status assigned => resolved
2019-04-18 14:26 elong Resolution open => fixed
2019-04-18 14:26 elong Fixed in Version => 3.10.1
2019-04-18 15:00 admin Changeset attached => SymmetricDS 3.10 4797eefa
2019-04-23 11:41 elong Status resolved => closed